textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/liquids/clear_calm1
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5
	{
		map textures/liquids/pool3d_5e.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map textures/liquids/pool3d_3e.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/sfx/beam_dusty2
{
	qer_editorimage textures/sfx/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
        
	{
		map textures/sfx/beam_1.tga
		
                blendfunc add
        }
	
		
		
		
		
		
	
	
		
		
	
}

textures/sfx/flame1
{

	
	
	
	
	
	
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/q3dm9fog
{
	qer_editorimage textures/sfx/fog_red.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .55 .11 .1 ) 256
	
	

	
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
		
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/a-hotel/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/a-hotel/glass
{
        qer_editorimage textures/a-hotel/glass.tga
	surfaceparm trans	
	cull none
	qer_trans 	0.2
     
        {
		map textures/a-hotel/glass.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/a-hotel/nitesky
{
	qer_editorimage textures/a-hotel/black.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	
	
	skyparms - 512 -
	{
		map textures/a-hotel/black.tga
		tcmod scroll 0.01 0
		tcmod scale 3 3
		depthwrite
	}
}

textures/a-hotel/fence
{
	qer_editorimage textures/a-hotel/fence.tga
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/a-hotel/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/a-hotel/neon
{
	qer_editorimage textures/a-hotel/heinneon.tga
	q3map_lightimage textures/a-hotel/heinneon1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/a-hotel/heinneon.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/a-hotel/heinneon1.tga
		blendfunc gl_one gl_one
                blendfunc add
		rgbgen wave sin .575 .025 1 10
	}

}

textures/a-hotel/sexneon
{
	qer_editorimage textures/a-hotel/neon1.tga
	q3map_lightimage textures/a-hotel/neon1_glow.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	light 1
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/a-hotel/neon1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/a-hotel/neon1_glow.tga
		blendfunc gl_one gl_one
                blendfunc add
		rgbgen wave sin .575 .025 0 10
	}

}

textures/a-hotel/whiteflare
{
    qer_editorimage textures/a-hotel/flare001.jpg
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/a-hotel/flare001.jpg
            blendfunc gl_one gl_one
          }
}

textures/a-hotel/redflare
{
    qer_editorimage textures/a-hotel/flare003.jpg
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/a-hotel/flare003.jpg
            blendfunc gl_one gl_one
          }
}

textures/a-hotel/policered
{
        qer_editorimage textures/a-hotel/flarered.jpg
	deformvertexes autosprite
        q3map_surfacelight	600

	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/a-hotel/flarered.jpg
		blendfunc gl_one gl_one
                rgbgen wave triangle -1 2 0 0.9
                
	}	
}

textures/a-hotel/policeblue
{
        qer_editorimage textures/a-hotel/flareblue.jpg
	deformvertexes autosprite
        q3map_surfacelight	600

	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map textures/a-hotel/flareblue.jpg
		blendfunc gl_one gl_one
                rgbgen wave triangle -1 2 0 0.7
                
	}	
}

models/mapobjects/lowlow/lowlow_steering
{	
	surfaceparm trans		
	cull none
        nopicmip

	{
		map models/mapobjects/lowlow/lowlow_steering.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/tree2/branch2
{
  surfaceparm nolightmap
  surfaceparm trans	
  surfaceparm nomarks	
  cull none
  sort 10
	{
		clampmap models/mapobjects/tree2/branch2.tga
		blendfunc gl_zero gl_one_minus_src_color        
	}
}

textures/base_floor/proto_grate4
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	surfaceparm nonsolid  
	cull none
        nopicmip

	
	{
		map textures/base_floor/proto_grate4.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/lt2_2000
{
	qer_editorimage textures/base_light/light2.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbgen wave sin 0.6 0.1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/base_light/xceil1_39_1
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_support/support1rust
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_support/support1rust.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/base_support/support1rust.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_support/x_support
{
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/base_support/x_support.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_wall/chrome_metal
{
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .25 .25 
		
	}

	{
		map textures/base_wall/chrome_metal.tga
		blendfunc gl_one gl_one
		detail
        	tcmod scale 0.0693 0.0712
		rgbgen identity
	}


	{
		map $lightmap
                rgbgen identity
		blendfunc gl_dst_color gl_zero
	   
	}

	
			
}

textures/base_wall/comp3b
{
	q3map_lightimage textures/base_wall/comp3textb.tga
	qer_editorimage textures/base_wall/comp3b_qer.tga
        q3map_surfacelight 1000
        {
		map textures/base_wall/comp3textb.tga
	        rgbgen identity
		tcmod scroll 3 3
	}
	      
        {
		map textures/base_wall/comp3env.tga
                tcgen environment
                blendfunc gl_one gl_one
                rgbgen wave sin .98 .02 0 5
	}
	
	{
		map $lightmap
                tcgen environment
                blendfunc gl_dst_color gl_one
	}


	{
		map textures/base_wall/comp3b.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
       
	{
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}

}

flareshader
{
	cull none
	{
		map gfx/misc/flare.tga
		blendfunc gl_one gl_one
		rgbgen vertex
	}
}

models/mapobjects/skel/skel
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skel/skel.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

